#!/bin/sh

name="bblaunch"
title="bblaunch"
package="bblaunch"
version="0.0.3"
build="1"
noarch="n"
build_info="Standard build."

info="An application launcher for Blackbox."
desc="bblaunch is an application launcher that lets you set certain
Blackbox related attributes on the launched program. You can
use it to run an application with no decorations, to
immediately have it sent to a specific workspace, to have it
visible on all workspaces and so on and so on."
category="tools/wm"
environment="x11"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,CHANGELOG,INSTALL,LICENSE,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/$name-$version.tar.gz

apply_patch bblaunch-option.pw.patch

configure_option --prefix=/usr/X11R6

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

copy $src_pkg/bblaunch.1 $pkg_main/usr/X11R6/man/man1

make_docs

make_package main

clean_up

# $Log: bblaunch.builder,v $
# Revision 1.2  2003/01/05 18:13:41  swiergot
# - Build 1.
#
# Revision 1.1  2003/01/05 18:07:38  swiergot
# - Initial release.
# - Version 0.0.3.
#
